#ifndef BOXESH
#define BOXESH

#include"screen.h"

class scrollbar
{
 protected:
  int pos,beg,end,max,wid;
  int *x;
  int k,w;
  void setk();
 public:
  int moved;
  void init(int,int,int,int,int,int*);
  scrollbar(int,int,int,int,int,int*);
  scrollbar();
  void setmax(int M){max=M;setk();}
  void setwid(int W){wid=W;setk();}
};

class Hscrollbar:public scrollbar
{
 public:
  void show();
  void mousemove();
};

class Vscrollbar:public scrollbar
{
 public:
  void show();
  void mousemove();
};

class box
{
 protected:
  int left,right,top,bottom;
 public:
  void show();
  void textxy(int x,int y,const char* str,int inv=0){scr.textxy(x,y,str,inv);}
  void setpos(int,int,int,int);
  box(){setpos(0,0,0,0);}
};

class clickbox:public box
{
 public:
  int click();
};

class button:public box
{
 private:
  char text[16];
 public:
  int pressed;
  button();
  void settext(char *);
  void press();
  int mousepress();
  void release();
};

class titlebox:public box
{
 protected:
  char title[80];
 public:
  titlebox();
  void settitle(char *);
  void show();
};

class radiobutton
{
 private:
  int x,y;
  char text[16];
 public:
  int checked;
  radiobutton();
  void settext(const char*);
  void setpos(int X,int Y) {x=X; y=Y;}
  void show();
  int click();
};

#endif