#ifndef CLIPH
#define CLIPH

class buffer
{
 private:
  unsigned char* ptr;
  int Xsize,Ysize;
 public:
  int x,y;
  buffer();
  ~buffer();
  int alloc(int,int);
  int maxX(){return Xsize;}
  int maxY(){return Ysize;}
  unsigned char& operator()(int,int);
};

class clipboard
{
 private:
  friend helpboxes;
  buffer clp;
  buffer old;
  int x0,y0;
 public:
  int on,top,bottom,left,right;
  clipboard();
  void cut();
  void copy();
  void paste(int,int);
  void del();
  void selall();
  void undo();
  void point1(int,int);
  void point2(int,int);
  void align();
};

extern clipboard clip;

#endif