#include"mouse.h"

mouse ms;

void mouse::getstat()
{
 if(ismouse)
 {
 REG.r_ax=3;
 intr(0x33,&REG);
 x=REG.r_cx>>3;
 y=REG.r_dx>>3;
 butt=REG.r_bx;
 if(butt==0)locked=0;
 else if(!locked) locked=1;
 else butt|=(locked<<3);
 }
}

mouse::mouse()
{
 ismouse=0;
 locked=0;
 x=y=butt=0;
 REG.r_ax=0x0000;            //樠
 intr(0x33,&REG);
 if(REG.r_ax==0xffff)
 {
  ismouse=1;
  on();
 }
}

void mouse::on()
{
 if(ismouse)
 {
  REG.r_ax=1;
  intr(0x33,&REG);
 }
}

void mouse::off()
{
 if(ismouse)
 {
  REG.r_ax=2;
  intr(0x33,&REG);
 }
}

void mouse::reset()
{
 if(ismouse)
 {
  REG.r_ax=0;
  intr(0x33,&REG);
  moveto(x,y);
  on();
 }
}

void mouse::moveto(int X,int Y)
{
 if(ismouse)
 {
  REG.r_ax=4;
  REG.r_cx=X<<3;
  REG.r_dx=Y<<3;
  intr(0x33,&REG);
 }
}