#include"filework.h"
#include"mouse.h"
#include"makelife.h"
#include"fildsize.h"
#include"showlife.h"

#include<string.h>
#include<dir.h>
#include<ctype.h>
#include<stdlib.h>
#include<bios.h>

filework file;

list::list()
{
 begin=0;
 cur=0;
 N=0;
}

int list::next()
{
 cur=cur->next;
 if(cur)return 1;
 else return 0;
}

void list::reset()
{
 cur=begin;
}

const char* list::get()
{
 if(cur)return(cur->name);
 else return 0;
}

void list::insert(const char* S)
{
 listitem *pre=0,*n,*c=begin;
 n=new listitem;//ᮧ  
 if(!n)return;
 strcpy(n->name,S);//஢
 while(c!=0&&strcmp(c->name,n->name)<0)
 {
	pre=c;   //  祣  ⠢
	c=c->next;
 }
 n->next=c;//⠢
 if(pre==0)
  begin=n; // 砫
 else
  pre->next=n;// 
 N++;
}

void list::destroy()
{
 listitem *c=begin,*pre=0;
 while(c!=0)//  
 {
  pre=c;
  c=c->next;
  delete pre;// ᭮ᨬ  
 }
 begin=0;//
 N=0;
}

list::~list()
{
 destroy();
}

showlist::showlist()
{
 setpos(0,0);
 height=1;
 width=1;
 pos=0;
 selection=0;
}

void showlist::select(int x)
{
 selection=x+pos;
 limits();
}

void showlist::movedown(int step)
{
 selection+=step;
 limits();
}

void showlist::moveup(int step)
{
 selection-=step;
 limits();
}

void showlist::limits()
{
 if(selection>=lst.num())selection=lst.num()-1;
 else if(selection<0)selection=0;
 while(selection>=pos+height) pos++;
 while(selection<pos) pos--;
 if(pos>(lst.num()-height)) pos=lst.num()-height;
 if(pos<0)pos=0;
}

const char* showlist::getsel()
{
 lst.reset();
 int i;
 for(i=0;i<selection;i++) lst.next();
 return lst.get();
}

void showlist::show()
{
 int i,j,inv;
 char str[16];
 lst.reset();
 for(i=0;i<pos;i++)
  lst.next();
 for(i=0;i<height;i++)
 {
  if(i+pos==selection) inv=1;
  else inv=0;
  if(i<lst.num())strcpy(str,lst.get()+1);
  else strcpy(str," ");
  for(j=strlen(str);j<width;j++)
   str[j]=' ';
  str[width]=0;
  scr.textxy(x,y+i,str,inv);
  lst.next();
 }
}

drivelist::drivelist()
{
 int disk,sel=0;
 width=2;
 disk=getdisk();
 int i;
 char str[4]=" Z:";
 for(i=0;i<26;i++)
 {
  setdisk(i);
  if(getdisk()==i)
  {
   if(i<disk)sel++;
   str[1]=i+'A';
   lst.insert(str);
  }
 }
 setdisk(disk);
 selection=sel;
 setpos(22,14);
 setheight(27);
}

void drivelist::activate()
{
 setdisk(getsel()[1]-'A');
}

void drivelist::selectdrive(char dr)
{
 dr=toupper(dr);
 lst.reset();
 int i=0;
 while(lst.get()[1]<dr&&i<lst.num())
 {
  lst.next();
  i++;
 }
 selection=i;
 limits();
}

filelist::filelist()
{
 width=12;
 reread();
 setpos(26,14);
 setheight(27);
 scroll.init(39,14,40,lst.num(),27,&pos);
}

void filelist::reread()
{
 ffblk F;
 pos=0;
 selection=0;
 lst.destroy();
 char str[16];
 if(!findfirst("*.*",&F,FA_DIREC))
 {
  do
  {
   if(strcmp(F.ff_name,"."))
   {
    if(F.ff_attrib&FA_DIREC)
    {
     str[0]='d';
     strcpy(str+1,F.ff_name);
    }
    else
    {
     str[0]='f';
     strcpy(str+1,lowcase(F.ff_name));
     if(!strchr(str,'.'))strcat(str,".");
    }
    lst.insert(str);
   }
  }
  while(!findnext(&F));// ,  室
 }
 scroll.setmax(lst.num());
}

void filelist::show()
{
 showlist::show();
 scroll.show();
}

char* filelist::lowcase(char* S)
{
 int i=0;
 while(S[i])
 {
  if(S[i]>='A'&&S[i]<='Z')S[i]+=32;
  else if(S[i]>=''&&S[i]<='')S[i]+=32;
  else if(S[i]>=''&&S[i]<='')S[i]+=80;
  i++;
 }
 return S;
}

int filelist::mousescroll()
{
 scroll.mousemove();
 if(selection<pos)selection=pos;
 else if(selection>=(pos+height))selection=pos+height-1;
 return scroll.moved;
}

void filelist::search(const char* str)
{
 int i=0;
 char tmp[16]="f";
 strcat(tmp,str);
 lowcase(tmp);
 lst.reset();
 if(lst.num()==0)return;
 while(strcmp(tmp,lst.get())>0)
 {
  if(!lst.next())break;
  i++;
 }
 selection=i;
 limits();
}

nameenter::nameenter()
{
 curpos=0;
 type=flife;
 cursor=0;
 setname("unknown.lif");
 setpos(43,15,58,19);
}

void nameenter::show()
{
 box::show();
 textxy(left+2,top+2,filename);
}

void nameenter::mouseactivate()
{
 if(ms.x>left&&ms.x<right&&ms.y>top&&ms.y<bottom)
  switch(ms.butt)
  {
   case 1:
    scr.curon();
    cursor=0;
   case 2:
    scr.cursolid();
    cursor=1;
    curpos=ms.x-left-2;
    poscur();
   break;
  }
}

void nameenter::poscur()
{
 long point=strchr(filename,'.')-filename;
 if(curpos<0) curpos=0;
 else if(curpos>point) curpos=point;
 gotoxy(curpos+left+3,top+3);
}

void nameenter::settype(filetype T)
{
 type=T;
 char* point=strchr(filename,'.');
 switch(type)
 {
  case flife:
   strcpy(point,".lif");
  break;
  case ftext:
   strcpy(point,".txt");
  break;
  case fbmp:
   strcpy(point,".bmp");
  break;
 }
}

int nameenter::key(int a,int b)
{
 int i,ret=0;
 char back[16];
 switch(a)
 {
  case 0:
   switch(b)
   {
    case 75:
     curpos--;
     poscur();
     ret=1;
     changed=1;
    break;
    case 77:
     curpos++;
     poscur();
     ret=1;
     changed=1;
    break;
    case 83://Del
     if(filename[curpos]!='.')
     {
      strcpy(back,filename);
      for(i=curpos;i<16;i++)
       filename[i]=filename[i+1];
      if(!isfile(filename))strcpy(filename,back);
      else {ret=1;changed=1;}
     }
    break;
    case 82:
     if(cursor==0)
     {
      scr.cursolid();
      cursor=1;
     }
     else
     {
      scr.curon();
      cursor=0;
     }
     ret=1;
    break;
   }
  break;
  case 8:
   if(curpos>0)
   {
   strcpy(back,filename);
   curpos--;
   poscur();
   for(i=curpos;i<16;i++)
    filename[i]=filename[i+1];
   if(!isfile(filename))strcpy(filename,back);
   else {ret=1;changed=1;}
   }
  break;
  default:
   if(isfile(a)&&!(filename[curpos]=='.'&&cursor==1))
   {
    strcpy(back,filename);
    if(cursor==0)
     for(i=strlen(filename);i>=curpos;i--)
      filename[i+1]=filename[i];
    filename[curpos]=a;
    if(!isfile(filename))strcpy(filename,back);
    else
    {
     curpos++;
     poscur();
     ret=1;
     changed=1;
    }
   }
  break;
 }
 return ret;
}

void nameenter::setname(const char* S)
{
 strcpy(filename,S);
 char *point=strchr(filename,'.');
 if(!stricmp(point,".lif")) type=flife;
 else if(!stricmp(point,".txt")) type=ftext;
 else if(!stricmp(point,".bmp")) type=fbmp;
 else type=fany;
 changed=0;
}

int nameenter::isfile(char c)
{
 return(isalnum(c)||(c>=''&&c<='')||(c>=''&&c<='')||c=='_'||c=='~');
}

int nameenter::isfile(const char* S)
{
 int i;
 int ptr=0;
 if(strlen(S)==0)return 0;
 for(i=0;i<strlen(S);i++)
 {
  if(!(isfile(S[i])||S[i]=='.'))return 0;
  if(S[i]=='.')
  {
   if(i==0)return 0;
   if(ptr)return 0;
   ptr=i;
   if(i>8)return 0;
  }
  if(!ptr&&i>=8)return 0;
  if(ptr&&(i-ptr)>3)return 0;
 }
 return 1;
}

void nameenter::init()
{
 curpos=0;
 cursor=0;
 changed=0;
 poscur();
}

showtype::showtype()
{
 setpos(43,22,58,24);
}

void showtype::show(filetype type,int Xsize,int Ysize)
{
 char str[20];
 char tmp[10];
 switch(type)
 {
  case flife:
   strcpy(str,"LIFE ");
  break;
  case ftext:
   strcpy(str,"TEXT ");
  break;
  case fbmp:
   strcpy(str,"BMP ");
  break;
  case fany:
   strcpy(str,"Unknown");
  break;
 }
 if(type<fany)
 {
  if(Xsize==0)
   strcat(str,"?");
  else
  {
   itoa(Xsize,tmp,10);
   strcat(str,tmp);
  }
  strcat(str,"x");
  if(Ysize==0)
   strcat(str,"?");
  else
  {
   itoa(Ysize,tmp,10);
   strcat(str,tmp);
  }
 }
 box::show();
 textxy(left+2,top+1,str);
}

int showtype::click()
{
 switch(clickbox::click())
 {
  case 1:case 2:
   return 1;
 }
 return 0;
}

showpos::showpos()
{
 setpos(43,33,50,40);
 dx=dy=0;
 Xsize=Ysize=2;
}

void showpos::show()
{
 if(Xsize<=0||Xsize>6)Xsize=6;
 if(Ysize<=0||Ysize>6)Ysize=6;
 if(dx>6-Xsize)dx=6-Xsize;
 else if(dx<0)dx=0;
 if(dy>6-Ysize)dy=6-Ysize;
 else if(dy<0)dy=0;
 box::show();
 int i,j;
 for(j=0;j<Ysize;j++)
  for(i=0;i<Xsize;i++)
  {
   scr.pix(i+dx+left+1,j+dy+top+1,219);
  }
}

int showpos::click()
{
 int x,y;
 switch(clickbox::click())
 {
  case 1:case 2:
  x=ms.x-left-1;
  y=ms.y-top-1;
  if(x!=dx||y!=dy)
  {
   dx=x;
   dy=y;
   return 1;
  }
 }
 return 0;
}

void showpos::key()
{
 dx++;
 if(dx>(6-Xsize))
 {
  dx=0;
  dy++;
 }
 if(dy>(6-Ysize))
 {
  dy=0;
 }
}

void filework::getpath()
{
 path[0]=*(drives.getsel()+1);
 path[1]=':';
 path[2]='\\';
 getcurdir(0,path+3);
}

void filework::showpath()
{
 int i,j;
 i=strlen(path)-37;
 if(i<0)
 {
  i=0;
  for(j=strlen(path);j<37;j++)
   path[j]=' ';
  path[37]=0;
 }
 textxy(left+3,top+4,path+i);
}

filework::filework()
{
 setpos(19,8,61,42);
 action.setpos(44,27,57,29);
 fieldsize.setpos(51,36,57,38);
 fieldsize.settext("Field");
 getpath();
}

void filework::save()
{
 if(!strcmp(fname.getname(),"unknown.lif")) saveas();
 else savenow();
}

void filework::showall()
{
 if(type==dsave)
 {
  settitle("Save File");
  action.settext("SAVE");
 }
 else
 {
  settitle("Open File");
  action.settext("OPEN");
 }
 scr.curon();
 fname.init();
 ms.off();
 show();
 showpath();
 drives.show();
 files.show();
 action.release();
 textxy(44,14,"Name");
 fname.show();
 textxy(44,21,"Type");
 ftype.show(fname.gettype(),life.maxX(),life.maxY());
 if(type==dopen)
 {
  textxy(43,32,"Open at");
  showinfo();
  fieldsize.release();
 }
 ms.on();
}

void filework::saveas()
{
 type=dsave;
 showall();
 exitdialog=0;
 int a,b;
 while(!exitdialog)
 {
  if(!(bioskey(2)&4))
   commonkey(0,0);
  if(kbhit())
  {
   a=getch();
   if(a==0&&kbhit())b=getch();
   commonkey(a,b);
   if(a==0&&b==31)
   {
    ms.off();
    action.press();
    ms.on();
    savenow();
   }
  }
  else
  {
   ms.getstat();
   commonmouse();
  }
 }
 scr.curoff();
}

void filework::open()
{
 type=dopen;
 showall();
 exitdialog=0;
 int a,b;
 while(!exitdialog)
 {
  if(!(bioskey(2)&4))
   commonkey(0,0);
  if(kbhit())
  {
   a=getch();
   if(a==0&&kbhit())b=getch();
   commonkey(a,b);
   switch(a)
   {
    case 0:
    switch(b)
    {
     case 24:
      ms.off();
      action.press();
      ms.on();
      loadnow();
     break;
     case 33:
      ms.off();
      fieldsize.press();
      ms.on();
      fldsize.show();
      ms.off();
      showlf.show();
      showall();
      ms.on();
     break;
    }
    break;
    case 9:
     fpos.key();
     ms.off();
     fpos.show();
     ms.on();
    break;
   }
  }
  else
  {
   ms.getstat();
   commonmouse();
   if(fpos.click())
   {
    ms.off();
    fpos.show();
    ms.on();
   }
   if(fieldsize.mousepress())
   {
    fldsize.show();
    ms.off();
    showlf.show();
    showall();
    ms.on();
   }
  }
 }
 scr.curoff();
}

void filework::commonkey(int a,int b)
{
 static int ctrl=0;
 if(ctrl&&!(bioskey(2)&4))
 {
  ctrl=0;
  drives.activate();
  files.reread();
  getpath();
  ms.off();
  showpath();
  drives.show();
  files.show();
  ms.on();
 }
 switch(a)
 {
  case 0:
   switch(b)
   {
    case 141:
     ctrl=1;
     drives.moveup();
     ms.off();
     drives.show();
     ms.on();
    break;
    case 145:
     ctrl=1;
     drives.movedown();
     ms.off();
     drives.show();
     ms.on();
    break;
    case 72:
     files.moveup();
     fname.changed=0;
     ms.off();
     files.show();
     ms.on();
    break;
    case 80:
     files.movedown();
     fname.changed=0;
     ms.off();
     files.show();
     ms.on();
    break;
    case 73:
     files.pgup();
     fname.changed=0;
     ms.off();
     files.show();
     ms.on();
    break;
    case 81:
     files.pgdn();
     fname.changed=0;
     ms.off();
     files.show();
     ms.on();
    break;
    case 132:
     chdir("..");
     files.reread();
     getpath();
     ms.off();
     showpath();
     files.show();
     ms.on();
    break;
    case 20:
     ms.off();
     changetype();
     fname.show();
     ms.on();
    break;
    case 59:
     if(type==dopen)
      help.open();
     else
      help.save();
     showlf.show();
     showall();
    break;
    default:
     if(fname.key(a,b))
     {
      files.search(fname.getname());
      ms.off();
      fname.show();
      files.show();
      ms.on();
     }
   }
  break;
  case 27:
   exitdialog=1;
  break;
  case ' ':
   if(files.getsel()[0]=='d')
   {
    chdir(files.getsel()+1);
    files.reread();
    getpath();
    ms.off();
    showpath();
    files.show();
    ms.on();
   }
   else
   {
    fname.setname(files.getsel()+1);
    ms.off();
    files.show();
    fname.show();
    showinfo();
    ms.on();
   }
  break;
  case 13:
   if(files.getsel()[0]=='d')
   {
    chdir(files.getsel()+1);
    files.reread();
    getpath();
    ms.off();
    showpath();
    files.show();
    ms.on();
   }
   else
   {
    if(fname.changed||!strcmp(files.getsel()+1,fname.getname()))
    {
     ms.off();
     action.press();
     ms.on();
     if(type==dopen)
      loadnow();
     else
      savenow();
    }
    else
    {
     fname.setname(files.getsel()+1);
     ms.off();
     files.show();
     fname.show();
     showinfo();
     ms.on();
    }
   }
  break;
  default:
   if(fname.key(a,b))
   {
    files.search(fname.getname());
    ms.off();
    fname.show();
    files.show();
    ms.on();
   }
  break;
 }
}

void filework::commonmouse()
{
 if(ms.y>=14&&ms.y<=40&&ms.butt)
 {
  if(ms.x>=22&&ms.x<=24)
  {
   if(ms.butt==1||ms.butt==2)
   {
    drives.select(ms.y-14);
    drives.activate();
    files.reread();
    getpath();
    ms.off();
    showpath();
    drives.show();
    files.show();
    ms.on();
   }
  }
  else if(ms.x>=26&&ms.x<=37)
  {
   switch(ms.butt)
   {
    case 1:
     files.select(ms.y-14);
     if(files.getsel()[0]=='d')
     {
      chdir(files.getsel()+1);
      files.reread();
      getpath();
      ms.off();
      showpath();
      files.show();
      ms.on();
     }
     else
     {
      fname.setname(files.getsel()+1);
      ms.off();
      files.show();
      fname.show();
      showinfo();
      ms.on();
     }
    break;
    case 2:
     files.movedown(ms.y-27);
     ms.off();
     files.show();
     ms.on();
    break;
   }
  }
  else if(ms.x==39)
  {
   if(files.mousescroll())
   {
    ms.off();
    files.show();
    ms.on();
   }
  }
 }
 if(((ms.x<left)||(ms.x>right)||(ms.y<top)||(ms.y>bottom))&&(ms.butt==1||ms.butt==2))
  exitdialog=1;
 fname.mouseactivate();
 if(ftype.click())
 {
  ms.off();
  changetype();
  fname.show();
  ms.on();
 }
 if(action.mousepress())
 {
  if(type==dsave)
   savenow();
  else
   loadnow();
 }
}

void filework::changetype()
{
 filetype t;
 t=fname.gettype();
 t++;
 if(t>2)t=0;
 fname.settype(t);
 showinfo();
}

void filework::showinfo()
{
 int x,y;
 if(type==dopen)
 switch(fname.gettype())
 {
  case flife:
   lifeinfo(x,y);
  break;
  case fbmp:
   bmpinfo(x,y);
  break;
  case ftext:
   textinfo(x,y);
  break;
  default:
   x=y=0;
 }
 else
 {
  x=life.maxX();
  y=life.maxY();
 }
 ftype.show(fname.gettype(),x,y);
 if(type==dopen)
 {
  if(fname.gettype()==flife)
   fpos.setsize(6*x/life.maxX(),6*y/life.maxY());
  else
   fpos.setsize(0,0);
  fpos.show();
 }
}

void filework::savenow()
{
 switch(fname.gettype())
 {
  case flife:
   lifesave();
  break;
  case ftext:
   textsave();
  break;
  case fbmp:
   bmpsave();
  break;
 }
 if(exitdialog)
 {
  life.generation=1;
  files.reread();
 }
}

void filework::loadnow()
{
 switch(fname.gettype())
 {
  case flife:
   lifeload();
  break;
  case ftext:
   textload();
  break;
  case fbmp:
   bmpload();
  break;
 }
}

