#include"help.h"
#include"mouse.h"
#include"makelife.h"
#include"filework.h"
#include"clip.h"

#include<conio.h>
#include<string.h>
#include<time.h>
#include<stdlib.h>

helpboxes help;

void helpboxes::about()
{
 setpos(27,19,52,31);
 settitle("About");
 show();
 int x=left+2;
 int y=top+4;
 textxy(x+7,y,"FULL-LIFE");
 textxy(x+5,y+=2,"Editor&Viewer");
 textxy(x+6,y+=2,"from Gelin");
 textxy(x,y+=2,"v.2.00 beta 3 (9.9.0)");
 waitexit();
}

helpboxes::helpboxes()
{
 lasttime=clock();
 lastgen=1;
}

void helpboxes::lefttext(int y,const char* str)
{
 textxy(left+2,y,str);
}

void helpboxes::righttext(int y,const char* str)
{
 textxy(right-strlen(str)-1,y,str);
}

void helpboxes::cont(int y,const char* lt,const char* rt)
{
 //int i;
 //for(i=left+2;i<right-1;i+=3)
 // scr.pix(i,y,'.');
 lefttext(y,lt);
 righttext(y,rt);
}

int helpboxes::waitexit()
{
 do
 {
  ms.getstat();
 }
 while(!ms.butt&&!kbhit());
 if(kbhit()&&!getch()&&kbhit())
 {
  if(getch()==59) return 1;
  else return 0;
 }
 return 0;
}

void helpboxes::showinfo()
{
 int y=top+4;
 righttext(y,file.fname.getname());
 char tmp[16],str[32];
 itoa(life.maxX(),str,10);
 strcat(str,"x");
 itoa(life.maxY(),tmp,10);
 strcat(str,tmp);
 righttext(y+=2,str);
 ltoa(life.generation,str,10);
 righttext(y+=2,str);
 gcvt(time,10,str);
 righttext(y+=2,str);
 itoa(clip.clp.maxX(),str,10);
 strcat(str,"x");
 itoa(clip.clp.maxY(),tmp,10);
 strcat(str,tmp);
 righttext(y+=2,str);
}

void helpboxes::info()
{
 unsigned long t=clock()-lasttime;
 if(t)
 {
  if (life.generation>lastgen) time=(float)(life.generation-lastgen)/t*CLK_TCK;
  else time=0;
 }
 settitle("Life Info");
 setpos(29,18,50,32);
 int y=top+4;
 titlebox::show();
 lefttext(y,"Name:");
 lefttext(y+=2,"Size:");
 lefttext(y+=2,"Gen:");
 lefttext(y+=2,"GPS:");
 lefttext(y+=2,"Clip:");
 showinfo();
 if(waitexit())
 {
  setpos(20,18,59,32);
  titlebox::show();
  y=top+4;
  lefttext(y,"Life file name:");
  lefttext(y+=2,"Life field size:");
  lefttext(y+=2,"Generation N:");
  lefttext(y+=2,"Generations per second:");
  lefttext(y+=2,"Field stored in clipboard:");
  showinfo();
  waitexit();
 }
 lasttime=clock();
 lastgen=life.generation;
}

void helpboxes::showmessage(const char* str)
{
 settitle("Message");
 int y=strlen(str)/2;
 if(y<4)y=4;
 setpos(39-y-2,21,39+y+2,27);
 show();
 textxy(left+2,25,str);
 waitexit();
}

void helpboxes::view()
{
 settitle("View Mode Help");
 setpos(20,8,59,40);
 int y=top+4;
 show();
 lefttext(y,"You are in a view mode and you can:");
 cont(y+=2,"Watch this help","F1");
 cont(++y,"Watch about this program","Alt+F1");
 cont(y+=2,"Save this life now","F2 or S");
 cont(++y,"Save life as","Alt+F2 or A");
 cont(y+=2,"Open file with life","F3 or O");
 cont(y+=2,"Go to edit mode","F4 or E");
 cont(y+=2,"Zoom in","F5 or + or Mleft");
 cont(++y,"Zoom out","F6 or - or Mright");
 cont(y+=2,"Change field size","F7 or F");
 cont(y+=2,"Go to pause mode","F8 or P");
 cont(y+=2,"Exit this program","F10 or Esc");
 cont(y+=2,"Watch life information","F11 or I");
 cont(++y,"Watch miscellaneous menu","F12 or M");
 cont(y+=2,"Moving","\x1b\x1a\x18\x19 or Mcenter");
 cont(++y,"Fast moving","Ctrl+\x1b\x1a\x18\x19 or Mscroll");
 cont(++y,"Move to corners","Home,End,PgUp,PgDn");
 waitexit();
}

void helpboxes::edit()
{
 settitle("Edit Mode Help");
 setpos(12,1,67,48);
 int y=top+4;
 show();
 lefttext(y,"You are in a edit mode and you can:");
 cont(y+=2,"Watch this help","F1");
 cont(++y,"Watch about this program","Alt+F1");
 cont(y+=2,"Save this life now","F2 or S");
 cont(++y,"Save life as","Alt+F2 or A");
 cont(y+=2,"Open file with life","F3 or O");
 cont(y+=2,"Go to pause mode","F4 or E");
 cont(y+=2,"Zoom in","F5 or + or Ctrl+Mleft");
 cont(++y,"Zoom out","F6 or - or Ctrl+Mright");
 cont(y+=2,"Change field size","F7 or F");
 cont(y+=2,"Go to view mode","F9 or L");
 cont(y+=2,"Exit this program","F10 or Esc");
 cont(y+=2,"Watch life information","F11 or I");
 cont(++y,"Watch miscellaneous menu","F12 or M");
 cont(y+=2,"Move cursor","\x1b\x1a\x18\x19 or Mouse");
 cont(++y,"Fast moving","Ctrl+\x1b\x1a\x18\x19 or Mscroll");
 cont(++y,"Move to corners","Home,End,PgUp,PgDn");
 cont(y+=2,"Toggle create life","*");
 cont(++y,"Toggle kill life","/");
 cont(++y,"Create/Kill life","Space or Alt+\x1b\x1a\x18\x19");
 cont(++y,"Inverse life","Enter or Mcenter");
 cont(++y,"Create life","Mleft");
 cont(++y,"Kill life","Mright");
 cont(y+=2,"Select region","Shift+\x1b\x1a\x18\x19 or Shift+Mouse");
 cont(++y,"Select all","Ctrl+A");
 cont(++y,"Delete selection","Del or Ctrl+Del");
 cont(++y,"Copy selection to clipboard","Ctrl+C or Ctrl+Ins");
 cont(++y,"Cut selection to clipboard","Ctrl+X or Shift+Del");
 cont(++y,"Paste from clipboard","Ctrl+V or Shift+Ins or Ins");
 cont(++y,"Undo last clipboard operation","Ctrl+Z or Alt+BkSpace");
 waitexit();
}

void helpboxes::pause()
{
 settitle("Pause Mode Help");
 setpos(17,7,62,41);
 int y=top+4;
 show();
 lefttext(y,"You are in a pause mode and you can:");
 cont(y+=2,"Watch this help","F1");
 cont(++y,"Watch about this program","Alt+F1");
 cont(y+=2,"Save this life now","F2 or S");
 cont(++y,"Save life as","Alt+F2 or A");
 cont(y+=2,"Open file with life","F3 or O");
 cont(y+=2,"Go to edit mode","F4 or E");
 cont(y+=2,"Zoom in","F5 or + or Mleft");
 cont(++y,"Zoom out","F6 or - or Mright");
 cont(y+=2,"Change field size","F7 or F");
 cont(y+=2,"Go to view mode","F9 or L or P");
 cont(y+=2,"Exit this program","F10 or Esc");
 cont(y+=2,"Watch life information","F11 or I");
 cont(++y,"Watch miscellaneous menu","F12 or M");
 cont(y+=2,"Moving","\x1b\x1a\x18\x19 or Mcenter");
 cont(++y,"Fast moving","Ctrl+\x1b\x1a\x18\x19 or Mscroll");
 cont(++y,"Move to corners","Home,End,PgUp,PgDn");
 cont(y+=2,"View next generation (step by step)","Space");
 waitexit();
}

void helpboxes::open()
{
 settitle("Open File Help");
 setpos(0,13,37,49);
 show();
 int y=top+4;
 lefttext(y,"You can open files:");
 cont(++y,"LIFE (*.lif)","special format");
 righttext(++y,"can be opened");
 righttext(++y,"at different positions");
 cont(++y,"BMP (*.bmp)","not compressed bitmap");
 cont(++y,"TEXT (*.txt)","text file");
 lefttext(y+=2,"Actions:");
 cont(y+=2,"Change drive","Ctrl+\x18\x19");
 cont(++y,"Browse filelist","\x18\x19,PgUp,PgDn");
 cont(++y,"Change directory","Space or Enter");
 cont(++y,"Go to up directory","Ctrl+PgUp");
 cont(y+=2,"Change file type","Alt+T");
 cont(y+=2,"Open file","Alt+O");
 cont(y+=2,"Change open position","Tab");
 cont(++y,"Change field size","Alt+F");
 lefttext(y+=2,"Or just click mouse");
 cont(y+=2,"Exit dialog","Esc");
 cont(y+=2,"Enter filename","Any");
 cont(++y,"Edit filename","\x1b\x1a,Ins,Del,BkSpace");
 cont(++y,"Copy filename from filelist","Space");
 cont(++y,"Copy and open","Enter");
 lefttext(y+=2,"You can't enter not file name");
 waitexit();
}

void helpboxes::save()
{
 settitle("Save File Help");
 setpos(0,18,37,49);
 show();
 int y=top+4;
 lefttext(y,"You can save life as:");
 cont(++y,"LIFE (*.lif)","special format");
 cont(++y,"BMP (*.bmp)","bitmap image");
 cont(++y,"TEXT (*.txt)","text file");
 lefttext(y+=2,"Actions:");
 cont(y+=2,"Change drive","Ctrl+\x18\x19");
 cont(++y,"Browse filelist","\x18\x19,PgUp,PgDn");
 cont(++y,"Change directory","Space or Enter");
 cont(++y,"Go to up directory","Ctrl+PgUp");
 cont(y+=2,"Change file type","Alt+T");
 cont(y+=2,"Save life","Alt+S");
 lefttext(y+=2,"Or just click mouse");
 cont(y+=2,"Exit dialog","Esc");
 cont(y+=2,"Enter filename","Any");
 cont(++y,"Edit filename","\x1b\x1a,Ins,Del,BkSpace");
 cont(++y,"Copy filename from filelist","Space");
 cont(++y,"Copy and save","Enter");
 lefttext(y+=2,"You can't enter not file name");
 waitexit();
}

void helpboxes::field()
{
 settitle("Field Size Help");
 setpos(24,5,58,18);
 show();
 int y=top+4;
 lefttext(y,"Here you can change size of");
 lefttext(++y,"life's field");
 cont(y+=2,"Select size","\x18\x19 or Tab");
 cont(++y,"Exit and accept","Enter or Space");
 cont(++y,"Exit and abandon","Esc");
 lefttext(y+=2,"Or just click mouse");
 waitexit();
}

void helpboxes::misc()
{
 settitle("Miscellaneous Help");
 setpos(23,5,56,24);
 show();
 int y=top+4;
 lefttext(y,"Here are miscellaneous options");
 lefttext(y+=2,"You can:");
 cont(y+=2,"Shift all life","\x1b\x1a\x18\x19");
 cont(++y,"Generate magic carpet","C");
 cont(++y,"Generate random glider","G");
 cont(++y,"Kill all life","K");
 lefttext(y+=2,"Or just click mouse");
 lefttext(y+=2,"For best view you can:");
 cont(++y,"Zoom in","+ or F5");
 cont(++y,"Zoom out","- or F6");
 waitexit();
}

void helpboxes::keys()
{
 settitle("Console Help");
 setpos(8,0,71,49);
 int y=top+4;
 show();
 lefttext(y,"This is FULL-LIFE Editor & Viewer");
 lefttext(y+=2,"Life is a cellular algorithm");
 lefttext(++y,"In each cell may be life or may be not.");
 lefttext(++y,"If the cell has more than three neighbors it will die.");
 lefttext(++y,"If the cell has less than two neighbors it will die.");
 lefttext(++y,"If the cell has exactly three neighbors it will create life.");
 lefttext(y+=2,"Command line:");
 lefttext(y+=2,"life2.exe [filename] [keys]");
 lefttext(y+=2,"Filename:");
 cont(++y,"*.lif","special format");
 cont(++y,"*.bmp","not compressed bitmap");
 cont(++y,"*.txt","text file");
 lefttext(y+=2,"Keys:");
 cont(y+=2,"/view or /life or /live","go to view mode");
 cont(++y,"/pause","go to pause mode");
 cont(++y,"/edit","go to edit mode");
 cont(y+=2,"/field1","set field size 80x50");
 cont(++y,"/field2","set field size 160x100");
 cont(++y,"/field3","set field size 240x150");
 cont(y+=2,"/zoom1","set view size 80x50");
 cont(++y,"/zoom2","set view size 160x100");
 cont(++y,"/zoom3","set view size 240x150");
 cont(y+=2,"/noretrace","not wait retrace");
 righttext(++y,"faster but not so performable");
 cont(y+=2,"/help or /h or /?","show this help");
 lefttext(y+=2,"If there is no filename keys are:");
 lefttext(++y,"/view /field3 /zoom3");
 lefttext(++y,"And the field is random");
 lefttext(y+=2,"If there is filename keys are:");
 lefttext(++y,"/pause");
 lefttext(++y,"And field size is according to file size");
 lefttext(++y,"And view size is maximum available");
 waitexit();
}