#include"makelife.h"
#include"help.h"

makelife life;

makelife::makelife()
{
 resize(3);
}

makelife::~makelife()
{
 if(areal) delete[] areal;
}

int makelife::resize(int z)
{
 if(z==zoom) return 1;
 generation=1;
 int x,y;
 switch(z)
 {
  case 1:zoom=1;x=80;y=50;break;
  case 2:zoom=2;x=160;y=100;break;
  case 3:zoom=3;x=240;y=150;break;
  default:return 1;
 }
 if(areal) delete[] areal;
 areal=new unsigned char [x*y];
 if(areal)
 {
  Xsize=x;
  Ysize=y;
  kill();
  return 1;
 }
 else
 {
  zoom=Xsize=Ysize=0;
  help.showmessage("No enough memory to create life");
  return 0;
 }
}

void makelife::nextgen()
{
 generation++;
 int i,j,n;
 for(j=1;j<Xsize-1;j++)
 {
  n=0;      //孨 ࠩ
  if(areal[(Ysize-1)*Xsize+j-1]&1)n++;
  if(areal[(Ysize-1)*Xsize+j]&1)n++;
  if(areal[(Ysize-1)*Xsize+j+1]&1)n++;
  if(areal[j-1]&1)n++;
  if(areal[j+1]&1)n++;
  if(areal[Xsize+j-1]&1)n++;
  if(areal[Xsize+j]&1)n++;
  if(areal[Xsize+j+1]&1)n++;
  switch(n)
    {
     case 2:
      if(areal[j])areal[j]|=2;
     break;
     case 3:
      areal[j]|=2;
     break;
    }
  n=0;      // ࠩ
  if(areal[(Ysize-2)*Xsize+j-1]&1)n++;
  if(areal[(Ysize-2)*Xsize+j]&1)n++;
  if(areal[(Ysize-2)*Xsize+j+1]&1)n++;
  if(areal[(Ysize-1)*Xsize+j-1]&1)n++;
  if(areal[(Ysize-1)*Xsize+j+1]&1)n++;
  if(areal[j-1]&1)n++;
  if(areal[j]&1)n++;
  if(areal[j+1]&1)n++;
  switch(n)
    {
     case 2:
      if(areal[(Ysize-1)*Xsize+j])areal[(Ysize-1)*Xsize+j]|=2;
     break;
     case 3:
      areal[(Ysize-1)*Xsize+j]|=2;
     break;
    }
 }
 for(i=1;i<Ysize-1;i++)
 {
  n=0;        // ࠩ
  if(areal[(i-1)*Xsize+Xsize-1]&1)n++;
  if(areal[(i-1)*Xsize]&1)n++;
  if(areal[(i-1)*Xsize+1]&1)n++;
  if(areal[i*Xsize+Xsize-1]&1)n++;
  if(areal[i*Xsize+1]&1)n++;
  if(areal[(i+1)*Xsize+Xsize-1]&1)n++;
  if(areal[(i+1)*Xsize]&1)n++;
  if(areal[(i+1)*Xsize+1]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[i*Xsize])areal[i*Xsize]|=2;
   break;
   case 3:
    areal[i*Xsize]|=2;
   break;
  }
  n=0;        //ࠢ ࠩ
  if(areal[(i-1)*Xsize+Xsize-2]&1)n++;
  if(areal[(i-1)*Xsize+Xsize-1]&1)n++;
  if(areal[(i-1)*Xsize]&1)n++;
  if(areal[i*Xsize+Xsize-2]&1)n++;
  if(areal[i*Xsize]&1)n++;
  if(areal[(i+1)*Xsize+Xsize-2]&1)n++;
  if(areal[(i+1)*Xsize+Xsize-1]&1)n++;
  if(areal[(i+1)*Xsize]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[i*Xsize+Xsize-1])areal[i*Xsize+Xsize-1]|=2;
   break;
   case 3:
    areal[i*Xsize+Xsize-1]|=2;
   break;
  }
 }
  n=0;     // 孨 㣮
  if(areal[(Ysize-1)*Xsize+Xsize-1]&1)n++;
  if(areal[(Ysize-1)*Xsize]&1)n++;
  if(areal[(Ysize-1)*Xsize+1]&1)n++;
  if(areal[Xsize-1]&1)n++;
  if(areal[1]&1)n++;
  if(areal[Xsize+Xsize-1]&1)n++;
  if(areal[Xsize]&1)n++;
  if(areal[Xsize+1]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[0])areal[0]|=2;
   break;
   case 3:
    areal[0]|=2;
   break;
  }
  n=0;     //  㣮
  if(areal[(Ysize-2)*Xsize+Xsize-1]&1)n++;
  if(areal[(Ysize-2)*Xsize]&1)n++;
  if(areal[(Ysize-2)*Xsize+1]&1)n++;
  if(areal[(Ysize-1)*Xsize+Xsize-1]&1)n++;
  if(areal[(Ysize-1)*Xsize+1]&1)n++;
  if(areal[Xsize-1]&1)n++;
  if(areal[0]&1)n++;
  if(areal[1]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[(Ysize-1)*Xsize])areal[(Ysize-1)*Xsize]|=2;
   break;
   case 3:
    areal[(Ysize-1)*Xsize]|=2;
   break;
  }
  n=0;     //ࠢ 孨 㣮
  if(areal[(Ysize-1)*Xsize+Xsize-2]&1)n++;
  if(areal[(Ysize-1)*Xsize+Xsize-1]&1)n++;
  if(areal[(Ysize-1)*Xsize]&1)n++;
  if(areal[Xsize-2]&1)n++;
  if(areal[0]&1)n++;
  if(areal[Xsize+Xsize-2]&1)n++;
  if(areal[Xsize+Xsize-1]&1)n++;
  if(areal[Xsize]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[Xsize-1])areal[Xsize-1]|=2;
   break;
   case 3:
    areal[Xsize-1]|=2;
   break;
  }
  n=0;     //ࠢ  㣮
  if(areal[(Ysize-2)*Xsize+Xsize-2]&1)n++;
  if(areal[(Ysize-2)*Xsize+Xsize-1]&1)n++;
  if(areal[(Ysize-2)*Xsize]&1)n++;
  if(areal[(Ysize-1)*Xsize+Xsize-2]&1)n++;
  if(areal[(Ysize-1)*Xsize]&1)n++;
  if(areal[Xsize-2]&1)n++;
  if(areal[Xsize-1]&1)n++;
  if(areal[0]&1)n++;
  switch(n)
  {
   case 2:
    if(areal[(Ysize-1)*Xsize+Xsize-1])areal[(Ysize-1)*Xsize+Xsize-1]|=2;
   break;
   case 3:
    areal[(Ysize-1)*Xsize+Xsize-1]|=2;
   break;
  }
  for(i=1;i<Ysize-1;i++)
   for(j=1;j<Xsize-1;j++)//  
   {
    n=0;     // 孨 㣮
    if(areal[(i-1)*Xsize+j-1]&1)n++;
    if(areal[(i-1)*Xsize+j]&1)n++;
    if(areal[(i-1)*Xsize+j+1]&1)n++;
    if(areal[i*Xsize+j-1]&1)n++;
    if(areal[i*Xsize+j+1]&1)n++;
    if(areal[(i+1)*Xsize+j-1]&1)n++;
    if(areal[(i+1)*Xsize+j]&1)n++;
    if(areal[(i+1)*Xsize+j+1]&1)n++;
    switch(n)
    {
     case 2:
      if(areal[i*Xsize+j])areal[i*Xsize+j]|=2;
     break;
     case 3:
      areal[i*Xsize+j]|=2;
     break;
    }
   }
 for(i=0;i<Ysize;i++)//  ,  
  for(j=0;j<Xsize;j++)
   {
    areal[i*Xsize+j]>>=1;
   }
}

void makelife::kill()
{
 long i;
 for(i=0;i<(long)Xsize*Ysize;i++)
 {
  areal[i]=0;
 }
}