#include"showlife.h"
#include"makelife.h"
#include"screen.h"
#include"mouse.h"
#include"clip.h"

showlife showlf;

showlife::showlife()
{
 zoom=3;
 Hbar.init(49,0,78,240-160,158,&X);
 Vbar.init(79,0,48,150-100,98,&Y);
 X=Y=0;
 setmax();
 retrace=1;
}

void showlife::show()
{
 int i,j,sym,x,y;
 ms.off();
 if(zoom!=life.zoom)
 {
  Hbar.show();
  Vbar.show();
  switch(app.mode)
  {
   case mview:
    scr.pix(79,49,'L');
   break;
   case medit:
    scr.pix(79,49,'E');
   break;
   case mpause:
    scr.pix(79,49,'P');
   break;
  }
 }
 if(retrace)while(!(inportb(0x3da)&8));
 switch(zoom)
 {
  case 3:
  for(j=Y;j<Y+maxY;j+=3)
   for(i=X;i<X+maxX;i+=3)
   {
    sym=0;
    sym|=life(i,j)<<8;
    sym|=life(i+1,j)<<7;
    sym|=life(i+2,j)<<6;
    sym|=life(i,j+1)<<5;
    sym|=life(i+1,j+1)<<4;
    sym|=life(i+2,j+1)<<3;
    sym|=life(i,j+2)<<2;
    sym|=life(i+1,j+2)<<1;
    sym|=life(i+2,j+2);
    x=(i-X)/3;
    y=(j-Y)/3;
    if(app.mode==medit&&!ms.is()&&(x==app.cur.x)&&(y==app.cur.y))
     sym|=0x0200;
    if(clip.on&&i>=clip.left&&i<=clip.right&&j>=clip.top&&j<=clip.bottom)
     sym|=0x0200;
    scr.pix(x,y,sym);
   }
  break;
  case 2:
  for(j=Y;j<Y+maxY;j+=2)
   for(i=X;i<X+maxX;i+=2)
   {
    sym=0;
    //sym=0x0700+240;
    sym|=life(i,j)<<3;
    sym|=life(i+1,j)<<2;
    sym|=life(i,j+1)<<1;
    sym|=life(i+1,j+1);
    x=(i-X)>>1;
    y=(j-Y)>>1;
    if(app.mode==medit&&!ms.is()&&(x==app.cur.x)&&(y==app.cur.y))
     sym|=0x0200;
    if(clip.on&&i>=clip.left&&i<=clip.right&&j>=clip.top&&j<=clip.bottom)
     sym|=0x0200;
    scr.pix(x,y,sym+240);
    //scr.dirpix(x,y,sym);
   }
  break;
  case 1:
  for(j=Y;j<Y+maxY;j++)
   for(i=X;i<X+maxX;i++)
   {
    sym=0;
    if(life(i,j))sym=7;
    else sym=' ';
    x=i-X;
    y=j-Y;
    if(app.mode==medit&&!ms.is()&&(i-X==app.cur.x)&&(j-Y==app.cur.y))
     sym|=0x0200;
    if(clip.on&&i>=clip.left&&i<=clip.right&&j>=clip.top&&j<=clip.bottom)
     sym|=0x0200;
    scr.pix(x,y,sym);
   }
  break;
 }
 ms.on();
}

void showlife::zoomin(int x,int y)
{
 x*=zoom;
 y*=zoom;
 if(zoom==3)scr.normscr();
 if(zoom>1)zoom--;
 if(x<0)
 {
  X=(life.maxX()-79*zoom)/2;
  Y=(life.maxY()-49*zoom)/2;
 }
 else
 {
  X=x+X-39*zoom;
  Y=y+Y-24*zoom;
 }
 limits();
 setmax();
 //show();
 clip.align();
}

void showlife::zoomout(int x,int y)
{
 x*=zoom;
 y*=zoom;
 if(zoom<life.zoom)zoom++;
 if(zoom==3)scr.fullscr();
 if(x<0)
 {
  X=(life.maxX()-79*zoom)/2;
  Y=(life.maxY()-49*zoom)/2;
 }
 else
 {
  X=x+X-39*zoom;
  Y=y+Y-24*zoom;
 }
 limits();
 setmax();
 //show();
 clip.align();
}

void showlife::setmax()
{
 if(zoom==life.zoom)
 {
  maxX=life.maxX();
  maxY=life.maxY();
 }
 else
 {
  maxX=zoom*79;
  maxY=zoom*49;
  Hbar.setmax(life.maxX());
  Hbar.setwid(maxX);
  Hbar.show();
  Vbar.setmax(life.maxY());
  Vbar.setwid(maxY);
  Vbar.show();
  scr.pix(79,49,' ');
 }
}

void showlife::moveleft(int step)
{
 X-=step;
 limits();
 //show();
}

void showlife::moveright(int step)
{
 X+=step;
 limits();
 //show();
}

void showlife::moveup(int step)
{
 Y-=step;
 limits();
 //show();
}

void showlife::movedown(int step)
{
 Y+=step;
 limits();
 //show();
}

void showlife::limits()
{
 if(zoom==life.zoom)
 {
  X=0;
  Y=0;
 }
 else
 {
 if(X<0)X=0;
 else if(X>(life.maxX()-79*zoom))X=(life.maxX()-79*zoom);
 if(Y<0)Y=0;
 else if(Y>(life.maxY()-49*zoom))Y=(life.maxY()-49*zoom);
 }
}

int showlife::mousemove()
{
 static int msx,msy;
 int ret=0;
 if(zoom!=life.zoom)
 {
 Hbar.mousemove();
 Vbar.mousemove();
 if(Hbar.moved||Vbar.moved)ret=1;
 }
 if((ms.x<79&&ms.y<49)||(zoom==life.zoom))
  switch(ms.butt)
  {
   case 1:
    zoomin(ms.x,ms.y);
    ret=1;
   break;
   case 2:
    zoomout(ms.x,ms.y);
    ret=1;
   break;
   case 12:case 11:
    moveright((msx-ms.x)*zoom);
    movedown((msy-ms.y)*zoom);
    ret=1;
   case 4:case 3:
    msx=ms.x;
    msy=ms.y;
   break;
  }
 return ret;
}